Module ij
Package ij.plugin

# Class PluginInstaller

java.lang.Object
ij.plugin.PluginInstaller

All Implemented Interfaces:
  `PlugIn`

public class PluginInstaller extends Object implements PlugIn
Installs plugins dragged and dropped on the "ImageJ" window, or plugins, macros or scripts opened using the Plugins/Install command.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String[]`
`validExtensions`

## Constructor Summary

Constructors
Constructor
Description
`PluginInstaller()`

## Method Summary

Modifier and Type
Method
Description
`static byte[]`
`download(String urlString, String name)`
`boolean`
`install(String path)`
`void`
`run(String arg)`
This method is called when the plugin is loaded.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### validExtensions

public static final String[] validExtensions

## Constructor Details

### PluginInstaller

public PluginInstaller()

## Method Details

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### install

public boolean install(String path)

### download

public static byte[] download(String urlString, String name)